gstreamermm: Gst::XImageSink Class Reference

# Gst::XImageSink Class Reference
[gstreamermm Plugins]

Gst::XImageSink - ximagesink plugin. More...

`#include <ximagesink.h>`

Inheritance diagram for Gst::XImageSink:

List of all members.

## Public Member Functions
virtual | ~XImageSink ()
GstXImageSink* | gobj ()
| Provides access to the underlying C GObject.
const GstXImageSink* | gobj () const
| Provides access to the underlying C GObject.
GstXImageSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy <Glib::ustring> | property_display ()
| X Display name.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_display () const
| X Display name.
Glib::PropertyProxy<bool> | property_synchronous ()
| When enabled.
Glib::PropertyProxy_ReadOnly <bool> | property_synchronous () const
| When enabled.
Glib::PropertyProxy <Glib::ustring> | property_pixel_aspect_ratio ()
| The pixel aspect ratio of the device.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_pixel_aspect_ratio () const
| The pixel aspect ratio of the device.
Glib::PropertyProxy<bool> | property_force_aspect_ratio ()
| When enabled.
Glib::PropertyProxy_ReadOnly <bool> | property_force_aspect_ratio () const
| When enabled.
Glib::PropertyProxy<bool> | property_handle_events ()
| When enabled.
Glib::PropertyProxy_ReadOnly <bool> | property_handle_events () const
| When enabled.
Glib::PropertyProxy<bool> | property_handle_expose ()
| When enabled.
Glib::PropertyProxy_ReadOnly <bool> | property_handle_expose () const
| When enabled.
## Static Public Member Functions
static Glib::RefPtr<XImageSink> | create ()
| Creates a new ximagesink plugin with a unique name.
static Glib::RefPtr<XImageSink> | create (const Glib::ustring& name)
| Creates a new ximagesink plugin with the given name.
## Protected Member Functions
| XImageSink ()
| XImageSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::XImageSink> | wrap (GstXImageSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::XImageSink - ximagesink plugin.

Please include <gstreamermm/ximagesink.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::XImageSink::~XImageSink | ( |  | ) | `[virtual]`

Gst::XImageSink::XImageSink | ( |  | ) | `[protected]`

Gst::XImageSink::XImageSink | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstXImageSink* Gst::XImageSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Interface.

const GstXImageSink* Gst::XImageSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Interface.

GstXImageSink* Gst::XImageSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::VideoSink.

static Glib::RefPtr<XImageSink> Gst::XImageSink::create | ( |  | ) | `[static]`

Creates a new ximagesink plugin with a unique name.

static Glib::RefPtr<XImageSink> Gst::XImageSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new ximagesink plugin with the given name.

Glib::PropertyProxy<Glib::ustring> Gst::XImageSink::property_display | ( |  | ) |

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::XImageSink::property_display | ( |  | ) | const

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::XImageSink::property_synchronous | ( |  | ) |

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::XImageSink::property_synchronous | ( |  | ) | const

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::XImageSink::property_pixel_aspect_ratio | ( |  | ) |

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::XImageSink::property_pixel_aspect_ratio | ( |  | ) | const

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::XImageSink::property_force_aspect_ratio | ( |  | ) |

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::XImageSink::property_force_aspect_ratio | ( |  | ) | const

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::XImageSink::property_handle_events | ( |  | ) |

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::XImageSink::property_handle_events | ( |  | ) | const

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::XImageSink::property_handle_expose | ( |  | ) |

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::XImageSink::property_handle_expose | ( |  | ) | const

When enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::XImageSink> wrap | ( | GstXImageSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- ximagesink.h